<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>aux_functions.h</name>
    <path>/build/librostlab-1.0.20/lib/rostlab/</path>
    <filename>aux__functions_8h</filename>
    <namespace>rostlab</namespace>
    <member kind="function">
      <type>std::basic_string&lt; _Tp &gt;</type>
      <name>join</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a95afdca299c1adee1abc796e244d6710</anchor>
      <arglist>(const std::basic_string&lt; _Tp &gt; &amp;__sep, typename std::vector&lt; std::basic_string&lt; _Tp &gt; &gt;::const_iterator __begin, typename std::vector&lt; std::basic_string&lt; _Tp &gt; &gt;::const_iterator __end)</arglist>
    </member>
    <member kind="function">
      <type>std::basic_string&lt; _Tp &gt;</type>
      <name>join</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a02cea4f1b5d3063ac9f17fb65bf85fa4</anchor>
      <arglist>(const std::basic_string&lt; _Tp &gt; &amp;__sep, const std::vector&lt; std::basic_string&lt; _Tp &gt; &gt; &amp;__v)</arglist>
    </member>
    <member kind="function">
      <type>std::basic_string&lt; _Tp &gt;</type>
      <name>join</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a07b7a79a32a7abcfab63777526ad35f5</anchor>
      <arglist>(const _Tp *__sep, const std::vector&lt; std::basic_string&lt; _Tp &gt; &gt; &amp;__v)</arglist>
    </member>
    <member kind="function">
      <type>std::basic_string&lt; _Tp &gt;</type>
      <name>join</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>ab599623a17a198b5bad39f7662fc7550</anchor>
      <arglist>(const _Tp __sep, const std::vector&lt; std::basic_string&lt; _Tp &gt; &gt; &amp;__v)</arglist>
    </member>
    <member kind="function">
      <type>std::vector&lt; std::string &gt;</type>
      <name>split</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>aee7316bea9c779d3c07197cb2105a320</anchor>
      <arglist>(const std::string &amp;__str, char __c)</arglist>
    </member>
    <member kind="function">
      <type>std::vector&lt; _Tk &gt;</type>
      <name>map_keys</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a60a5204e6351df4913c6f5b58232a742</anchor>
      <arglist>(const std::map&lt; _Tk, _Tv &gt; &amp;__map)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>split_in_2</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>affc2fcc160ce31ad5082165e30386bf8</anchor>
      <arglist>(const std::string &amp;__str, char __c, std::string &amp;__left, std::string &amp;__right)</arglist>
    </member>
    <member kind="function">
      <type>std::map&lt; std::string, std::string &gt;</type>
      <name>map_split_in_2</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a177b61d1c55d12fad2a23cfca31a8b93</anchor>
      <arglist>(const std::vector&lt; std::string &gt; &amp;__svec, char __c)</arglist>
    </member>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>afcf69b32f92c358d2197e8991d050236</anchor>
      <arglist>(std::ostream &amp;os, const std::pair&lt; _T1, _T2 &gt; &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a90e79bd30a4bcb82a8493d592e8d1f03</anchor>
      <arglist>(std::ostream &amp;os, const std::map&lt; K, V, C, A &gt; &amp;m)</arglist>
    </member>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a5e4982ebab6f940f02ce674de6493706</anchor>
      <arglist>(std::ostream &amp;os, const std::vector&lt; _Tp, _Alloc &gt; &amp;v)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>blosum62.h</name>
    <path>/build/librostlab-1.0.20/lib/rostlab/</path>
    <filename>blosum62_8h</filename>
    <namespace>rostlab</namespace>
    <member kind="variable">
      <type>const signed char</type>
      <name>blosum62</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>afcb6728a937626e7b1678b9f18caab20</anchor>
      <arglist>[27][27]</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>cwd_resource.h</name>
    <path>/build/librostlab-1.0.20/lib/rostlab/</path>
    <filename>cwd__resource_8h</filename>
    <class kind="class">rostlab::cwd_resource</class>
    <namespace>rostlab</namespace>
  </compound>
  <compound kind="file">
    <name>cxxgrp.h</name>
    <path>/build/librostlab-1.0.20/lib/rostlab/</path>
    <filename>cxxgrp_8h</filename>
    <includes id="rostlab__stdexcept_8h" name="rostlab_stdexcept.h" local="yes" imported="no">rostlab/rostlab_stdexcept.h</includes>
    <class kind="struct">rostlab::cxx_group</class>
    <class kind="class">rostlab::gid_not_found_error</class>
    <class kind="class">rostlab::gname_not_found_error</class>
    <namespace>rostlab</namespace>
    <member kind="function">
      <type>std::string</type>
      <name>getgrgid_r</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a5d1ec47ffbbe61fb180727755b66e5fd</anchor>
      <arglist>(gid_t __gid)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>getgrgid_r</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a5f1c0e72549b6d443d8a3489d556e5a0</anchor>
      <arglist>(gid_t __gid, cxx_group &amp;__group)</arglist>
    </member>
    <member kind="function">
      <type>gid_t</type>
      <name>getgrnam_r</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>ab3f6bd9535c534b2520cc29cefe24f96</anchor>
      <arglist>(const std::string &amp;__gname)</arglist>
    </member>
    <member kind="function">
      <type>gid_t</type>
      <name>getgrnam_r</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a1c0e17f4c40c2a606ece0c738ed7db4a</anchor>
      <arglist>(const std::string &amp;__gname, struct cxx_group &amp;__group)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>cxxpwd.h</name>
    <path>/build/librostlab-1.0.20/lib/rostlab/</path>
    <filename>cxxpwd_8h</filename>
    <includes id="rostlab__stdexcept_8h" name="rostlab_stdexcept.h" local="no" imported="no">rostlab/rostlab_stdexcept.h</includes>
    <class kind="struct">rostlab::cxx_passwd</class>
    <class kind="class">rostlab::uid_not_found_error</class>
    <class kind="class">rostlab::uname_not_found_error</class>
    <namespace>rostlab</namespace>
    <member kind="function">
      <type>uid_t</type>
      <name>getpwnam_r</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a62d3cb7cc23f549ac6be0553b5e8b6cc</anchor>
      <arglist>(const std::string &amp;__uname)</arglist>
    </member>
    <member kind="function">
      <type>uid_t</type>
      <name>getpwnam_r</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a7f8c05ae5022a5f40430f3292f6d9d5b</anchor>
      <arglist>(const std::string &amp;__uname, cxx_passwd &amp;__passwd)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>getpwuid_r</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a5bd7753ca4fefb153fb82735914ae9e2</anchor>
      <arglist>(uid_t __uid)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>getpwuid_r</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a59e1518719c4c52ad8b82465982cbfce</anchor>
      <arglist>(uid_t __uid, cxx_passwd &amp;__passwd)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>euid_egid_resource.h</name>
    <path>/build/librostlab-1.0.20/lib/rostlab/</path>
    <filename>euid__egid__resource_8h</filename>
    <includes id="rostlab__stdexcept_8h" name="rostlab_stdexcept.h" local="yes" imported="no">rostlab/rostlab_stdexcept.h</includes>
    <class kind="class">rostlab::euid_egid_resource</class>
    <namespace>rostlab</namespace>
  </compound>
  <compound kind="file">
    <name>file_lock_resource.h</name>
    <path>/build/librostlab-1.0.20/lib/rostlab/</path>
    <filename>file__lock__resource_8h</filename>
    <includes id="rostlab__stdexcept_8h" name="rostlab_stdexcept.h" local="yes" imported="no">rostlab/rostlab_stdexcept.h</includes>
    <class kind="class">rostlab::file_lock_resource</class>
    <class kind="class">rostlab::file_lock_resource::wouldblock</class>
    <namespace>rostlab</namespace>
  </compound>
  <compound kind="file">
    <name>mapAA2int.h</name>
    <path>/build/librostlab-1.0.20/lib/rostlab/</path>
    <filename>mapAA2int_8h</filename>
    <includes id="rostlab__stdexcept_8h" name="rostlab_stdexcept.h" local="no" imported="no">rostlab/rostlab_stdexcept.h</includes>
    <namespace>rostlab</namespace>
    <member kind="function">
      <type>char</type>
      <name>int2AAchar</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>ad703b2f18ceae63b4750873ab17906c4</anchor>
      <arglist>(int __aanum)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>AAchar2int</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>abd71bb3c8e7041154b336e0121c1a5ac</anchor>
      <arglist>(char __aachar)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>readFasta.h</name>
    <path>/build/librostlab-1.0.20/lib/rostlab/</path>
    <filename>readFasta_8h</filename>
    <includes id="rostlab__stdexcept_8h" name="rostlab_stdexcept.h" local="yes" imported="no">rostlab/rostlab_stdexcept.h</includes>
    <class kind="class">rostlab::bio::fmt::fasta</class>
    <class kind="class">rostlab::bio::seq</class>
    <namespace>rostlab</namespace>
    <namespace>rostlab::bio</namespace>
    <namespace>rostlab::bio::fmt</namespace>
    <member kind="function">
      <type>std::istream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>namespacerostlab_1_1bio.html</anchorfile>
      <anchor>a8dd8eba31d0283710d5e29efe449a3da</anchor>
      <arglist>(std::istream &amp;__is, bio::seq&lt; bio::fmt::fasta &gt; &amp;__seq)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>rostlab_stdexcept.h</name>
    <path>/build/librostlab-1.0.20/lib/rostlab/</path>
    <filename>rostlab__stdexcept_8h</filename>
    <class kind="class">rostlab::error_backtracer</class>
    <class kind="class">rostlab::exception</class>
    <class kind="class">rostlab::runtime_error</class>
    <namespace>rostlab</namespace>
  </compound>
  <compound kind="file">
    <name>rostlab_stdio.h</name>
    <path>/build/librostlab-1.0.20/lib/rostlab/</path>
    <filename>rostlab__stdio_8h</filename>
    <namespace>rostlab</namespace>
    <member kind="function">
      <type>void</type>
      <name>fwrite</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a4142aa716350618099dc43cbde7ff9c8</anchor>
      <arglist>(const _Tp &amp;__v, FILE *__out)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fwrite</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a7994889fa834b6fba6b04ae554a3cf86</anchor>
      <arglist>(const vector&lt; _Tp, _Alloc &gt; &amp;__v, FILE *__out)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fwrite&lt; string &gt;</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>ae087c0cc911d6c7c35f946cbbae5d544</anchor>
      <arglist>(const string &amp;__str, FILE *__out)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fwrite</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a6a84b717a5650baa50e834b04d693c81</anchor>
      <arglist>(const char *__c, FILE *__out)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fread</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a64156d88f0acfe509fc06160c58f0412</anchor>
      <arglist>(_Tp &amp;__v, FILE *__in)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fread</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a95af69989f9a12888e3078fcfb7c3f6c</anchor>
      <arglist>(vector&lt; _Tp, _Alloc &gt; &amp;__v, FILE *__in)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fread&lt; string &gt;</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a8d344e8879fe0541a39cc8718a84a24f</anchor>
      <arglist>(string &amp;__v, FILE *__in)</arglist>
    </member>
    <member kind="function">
      <type>_Tp</type>
      <name>fread</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>acbd2da49f65dd3f94bdfe497a33a4688</anchor>
      <arglist>(FILE *__in)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>rostlab_stdlib.h</name>
    <path>/build/librostlab-1.0.20/lib/rostlab/</path>
    <filename>rostlab__stdlib_8h</filename>
    <namespace>rostlab</namespace>
    <member kind="typedef">
      <type>std::vector&lt; std::string &gt;</type>
      <name>argvec_type</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a5d5704df6d732643202079117bd161aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>argvec_type</type>
      <name>mkargvec</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a363b61f71bc972e21507fe58342f81c0</anchor>
      <arglist>(const char *__path,...)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>file_exists</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a37cdf454adbb6e299072099bfec119b4</anchor>
      <arglist>(const std::string &amp;__path)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>system</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a496af39360313209d5d1a472a34ce781</anchor>
      <arglist>(const char *__path,...)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>system</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a4d5a14d288cfd133049ec15a4363a543</anchor>
      <arglist>(const std::vector&lt; std::string &gt; &amp;__args)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>tolower</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a0f03eed25884fd80b381c79daae5a9d1</anchor>
      <arglist>(std::string __str)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>umask_resource.h</name>
    <path>/build/librostlab-1.0.20/lib/rostlab/</path>
    <filename>umask__resource_8h</filename>
    <class kind="class">rostlab::umask_resource</class>
    <namespace>rostlab</namespace>
  </compound>
  <compound kind="class">
    <name>rostlab::cwd_resource</name>
    <filename>classrostlab_1_1cwd__resource.html</filename>
    <member kind="function">
      <type></type>
      <name>cwd_resource</name>
      <anchorfile>classrostlab_1_1cwd__resource.html</anchorfile>
      <anchor>ae5c43efbdd4a1d51e947edd8e246b9f6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>cwd_resource</name>
      <anchorfile>classrostlab_1_1cwd__resource.html</anchorfile>
      <anchor>a6e9e025a23f6036a89dff1d1b38d6cdc</anchor>
      <arglist>(const string &amp;__dirname)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>acquire</name>
      <anchorfile>classrostlab_1_1cwd__resource.html</anchorfile>
      <anchor>aaaba77e629ed7e9772862ddfdeb017a2</anchor>
      <arglist>(const string &amp;__dirname)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>release</name>
      <anchorfile>classrostlab_1_1cwd__resource.html</anchorfile>
      <anchor>a76d4e40a4a5e238c6045d07d0d9b5fab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~cwd_resource</name>
      <anchorfile>classrostlab_1_1cwd__resource.html</anchorfile>
      <anchor>a1016094c7ddc790ce4f9abd49ff60ef9</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>rostlab::cxx_group</name>
    <filename>structrostlab_1_1cxx__group.html</filename>
    <member kind="function">
      <type></type>
      <name>cxx_group</name>
      <anchorfile>structrostlab_1_1cxx__group.html</anchorfile>
      <anchor>a9691266d20b50a3fb5850c51450e18a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>cxx_group</name>
      <anchorfile>structrostlab_1_1cxx__group.html</anchorfile>
      <anchor>a82514ee8b57e8f1f13dae7baf9533c2d</anchor>
      <arglist>(const std::string &amp;__gr_name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>cxx_group</name>
      <anchorfile>structrostlab_1_1cxx__group.html</anchorfile>
      <anchor>ab499600062ff16116a2f4edb1b37d7b7</anchor>
      <arglist>(const std::string &amp;__gr_name, const std::string &amp;__gr_passwd, gid_t __gr_gid, const std::vector&lt; std::string &gt; &amp;__gr_mem)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>cxx_group</name>
      <anchorfile>structrostlab_1_1cxx__group.html</anchorfile>
      <anchor>a58ad049dab2f0d10f7385dbe7d717540</anchor>
      <arglist>(const std::string &amp;__gr_name, const std::string &amp;__gr_passwd, gid_t __gr_gid, char **__gr_mem)</arglist>
    </member>
    <member kind="variable">
      <type>std::string</type>
      <name>gr_name</name>
      <anchorfile>structrostlab_1_1cxx__group.html</anchorfile>
      <anchor>a427336934dc52ff1214b6d6042c25dc1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>std::string</type>
      <name>gr_passwd</name>
      <anchorfile>structrostlab_1_1cxx__group.html</anchorfile>
      <anchor>a474da2a726ac20bc25fbae6ba3ecb271</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>gid_t</type>
      <name>gr_gid</name>
      <anchorfile>structrostlab_1_1cxx__group.html</anchorfile>
      <anchor>a734bfe3fbdb95ba96f80c1e563ee28d0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>std::vector&lt; std::string &gt;</type>
      <name>gr_mem</name>
      <anchorfile>structrostlab_1_1cxx__group.html</anchorfile>
      <anchor>a0628779b6c9912f008d2de2fcd9a5657</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>rostlab::cxx_passwd</name>
    <filename>structrostlab_1_1cxx__passwd.html</filename>
    <member kind="function">
      <type></type>
      <name>cxx_passwd</name>
      <anchorfile>structrostlab_1_1cxx__passwd.html</anchorfile>
      <anchor>a4f59d556cf5e34b68d96c4fc777ae75d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>cxx_passwd</name>
      <anchorfile>structrostlab_1_1cxx__passwd.html</anchorfile>
      <anchor>a8b043b32463d1c5d0194c481074dcdee</anchor>
      <arglist>(const std::string &amp;__pw_name, const std::string &amp;__pw_passwd, uid_t __pw_uid, gid_t __pw_gid, const std::string &amp;__pw_gecos, const std::string &amp;__pw_dir, const std::string &amp;__pw_shell)</arglist>
    </member>
    <member kind="variable">
      <type>std::string</type>
      <name>pw_name</name>
      <anchorfile>structrostlab_1_1cxx__passwd.html</anchorfile>
      <anchor>abacee95470c53e00d3f1b2f6a0597dc2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>std::string</type>
      <name>pw_passwd</name>
      <anchorfile>structrostlab_1_1cxx__passwd.html</anchorfile>
      <anchor>a94f7a8d47204fa45f279772183c8f78f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uid_t</type>
      <name>pw_uid</name>
      <anchorfile>structrostlab_1_1cxx__passwd.html</anchorfile>
      <anchor>a8289f121b7a831f054c74c66c73011f2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>gid_t</type>
      <name>pw_gid</name>
      <anchorfile>structrostlab_1_1cxx__passwd.html</anchorfile>
      <anchor>a204ff42f127df263fe685cc18250a2d8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>std::string</type>
      <name>pw_gecos</name>
      <anchorfile>structrostlab_1_1cxx__passwd.html</anchorfile>
      <anchor>a784fea65098876572ad4b466d26c42d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>std::string</type>
      <name>pw_dir</name>
      <anchorfile>structrostlab_1_1cxx__passwd.html</anchorfile>
      <anchor>ac4891dcbd93c8d25534fbeedf86615dd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>std::string</type>
      <name>pw_shell</name>
      <anchorfile>structrostlab_1_1cxx__passwd.html</anchorfile>
      <anchor>a16e163fac8f3ed6a1a2d0b84547958ff</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>rostlab::error_backtracer</name>
    <filename>classrostlab_1_1error__backtracer.html</filename>
    <member kind="function">
      <type></type>
      <name>error_backtracer</name>
      <anchorfile>classrostlab_1_1error__backtracer.html</anchorfile>
      <anchor>a954cd9790524fba511130fd731452a4a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~error_backtracer</name>
      <anchorfile>classrostlab_1_1error__backtracer.html</anchorfile>
      <anchor>afc94258605703ac974c8b63a9e439503</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const std::string &amp;</type>
      <name>backtrace</name>
      <anchorfile>classrostlab_1_1error__backtracer.html</anchorfile>
      <anchor>a7b953ef6ba133ad6baf0ec70e472a007</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>rostlab::euid_egid_resource</name>
    <filename>classrostlab_1_1euid__egid__resource.html</filename>
    <member kind="function">
      <type></type>
      <name>euid_egid_resource</name>
      <anchorfile>classrostlab_1_1euid__egid__resource.html</anchorfile>
      <anchor>a7353ffb9ecd9be388358e31a94a6156a</anchor>
      <arglist>(uid_t __neweuid, gid_t __newegid)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~euid_egid_resource</name>
      <anchorfile>classrostlab_1_1euid__egid__resource.html</anchorfile>
      <anchor>a8fc5694634d053e2ac33c44dc6d9b82c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>rostlab::exception</name>
    <filename>classrostlab_1_1exception.html</filename>
    <base>rostlab::error_backtracer</base>
    <member kind="function">
      <type></type>
      <name>exception</name>
      <anchorfile>classrostlab_1_1exception.html</anchorfile>
      <anchor>a1596c861a6c614b3afa21988f31980a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>rostlab::bio::fmt::fasta</name>
    <filename>classrostlab_1_1bio_1_1fmt_1_1fasta.html</filename>
  </compound>
  <compound kind="class">
    <name>rostlab::file_lock_resource</name>
    <filename>classrostlab_1_1file__lock__resource.html</filename>
    <class kind="class">rostlab::file_lock_resource::wouldblock</class>
    <member kind="function">
      <type></type>
      <name>file_lock_resource</name>
      <anchorfile>classrostlab_1_1file__lock__resource.html</anchorfile>
      <anchor>a63b6dcf25b89477a2aa955784c1794de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>file_lock_resource</name>
      <anchorfile>classrostlab_1_1file__lock__resource.html</anchorfile>
      <anchor>ab6158e44d2ba1c8a7cfde023528e747a</anchor>
      <arglist>(const std::string &amp;__file, const std::string &amp;__mode=&quot;r&quot;, int __cmd=F_SETLKW, short __type=F_RDLCK, bool __dbg=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>acquire</name>
      <anchorfile>classrostlab_1_1file__lock__resource.html</anchorfile>
      <anchor>a9de00c0eb0e542bbe371c0797a1f9773</anchor>
      <arglist>(const std::string &amp;__file, const std::string &amp;__mode=&quot;r&quot;, int __cmd=F_SETLKW, short __type=F_RDLCK, bool __dbg=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>release</name>
      <anchorfile>classrostlab_1_1file__lock__resource.html</anchorfile>
      <anchor>a68d25c1369090e405c131194f283fb47</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~file_lock_resource</name>
      <anchorfile>classrostlab_1_1file__lock__resource.html</anchorfile>
      <anchor>aa4d069550b695ecfeb968549b8f986ea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>operator FILE *</name>
      <anchorfile>classrostlab_1_1file__lock__resource.html</anchorfile>
      <anchor>a10a955c4ac0ac80f25b51f6e7ee7d897</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const std::string &amp;</type>
      <name>filename</name>
      <anchorfile>classrostlab_1_1file__lock__resource.html</anchorfile>
      <anchor>a6772236e3e767d7922e6a8f23c60d126</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>dbg</name>
      <anchorfile>classrostlab_1_1file__lock__resource.html</anchorfile>
      <anchor>a8ac613e50acee0ae3b0dee462e710d87</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>rostlab::gid_not_found_error</name>
    <filename>classrostlab_1_1gid__not__found__error.html</filename>
    <base>rostlab::runtime_error</base>
    <member kind="function">
      <type></type>
      <name>gid_not_found_error</name>
      <anchorfile>classrostlab_1_1gid__not__found__error.html</anchorfile>
      <anchor>af81fee1bd71a74ae9d2dd581447eb822</anchor>
      <arglist>(const std::string &amp;what)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>rostlab::gname_not_found_error</name>
    <filename>classrostlab_1_1gname__not__found__error.html</filename>
    <base>rostlab::runtime_error</base>
    <member kind="function">
      <type></type>
      <name>gname_not_found_error</name>
      <anchorfile>classrostlab_1_1gname__not__found__error.html</anchorfile>
      <anchor>a74583ec523ad15284b7d98deb801486a</anchor>
      <arglist>(const std::string &amp;what)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>rostlab::runtime_error</name>
    <filename>classrostlab_1_1runtime__error.html</filename>
    <base>rostlab::error_backtracer</base>
    <member kind="function">
      <type></type>
      <name>runtime_error</name>
      <anchorfile>classrostlab_1_1runtime__error.html</anchorfile>
      <anchor>a12f6c3bdc64d8082bcd94ddda17a5088</anchor>
      <arglist>(const std::string &amp;__msg)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>rostlab::bio::seq</name>
    <filename>classrostlab_1_1bio_1_1seq.html</filename>
    <templarg>_FmtT</templarg>
    <member kind="function">
      <type></type>
      <name>seq</name>
      <anchorfile>classrostlab_1_1bio_1_1seq.html</anchorfile>
      <anchor>a40cd59c92b826690539b6939d7cbf187</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>seq</name>
      <anchorfile>classrostlab_1_1bio_1_1seq.html</anchorfile>
      <anchor>a587ed08a50edb336b6abce97f8e8ec69</anchor>
      <arglist>(const std::string &amp;__desc, const std::string &amp;__display_id, const std::string &amp;__seqstr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~seq</name>
      <anchorfile>classrostlab_1_1bio_1_1seq.html</anchorfile>
      <anchor>a309929c43a09069376761a5320a1d38b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>std::string &amp;</type>
      <name>seqstr</name>
      <anchorfile>classrostlab_1_1bio_1_1seq.html</anchorfile>
      <anchor>ac4db5088f2a69ada767a6769cbb05ced</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>rostlab::uid_not_found_error</name>
    <filename>classrostlab_1_1uid__not__found__error.html</filename>
    <base>rostlab::runtime_error</base>
    <member kind="function">
      <type></type>
      <name>uid_not_found_error</name>
      <anchorfile>classrostlab_1_1uid__not__found__error.html</anchorfile>
      <anchor>a36c9832c95ab3b8feaea841a5ef255e3</anchor>
      <arglist>(const std::string &amp;what)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>rostlab::umask_resource</name>
    <filename>classrostlab_1_1umask__resource.html</filename>
    <member kind="function">
      <type></type>
      <name>umask_resource</name>
      <anchorfile>classrostlab_1_1umask__resource.html</anchorfile>
      <anchor>a4c2bb8b67e8abce97f15e46dbf2f9369</anchor>
      <arglist>(mode_t __new_mode)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~umask_resource</name>
      <anchorfile>classrostlab_1_1umask__resource.html</anchorfile>
      <anchor>a0ca29ff91afcb14eacc724f07fa35cf3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>rostlab::uname_not_found_error</name>
    <filename>classrostlab_1_1uname__not__found__error.html</filename>
    <base>rostlab::runtime_error</base>
    <member kind="function">
      <type></type>
      <name>uname_not_found_error</name>
      <anchorfile>classrostlab_1_1uname__not__found__error.html</anchorfile>
      <anchor>a8695b726f2f031516c2d6faf07f9a42f</anchor>
      <arglist>(const std::string &amp;what)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>rostlab::file_lock_resource::wouldblock</name>
    <filename>classrostlab_1_1file__lock__resource_1_1wouldblock.html</filename>
    <base>rostlab::exception</base>
  </compound>
  <compound kind="namespace">
    <name>rostlab</name>
    <filename>namespacerostlab.html</filename>
    <namespace>rostlab::bio</namespace>
    <class kind="class">rostlab::cwd_resource</class>
    <class kind="struct">rostlab::cxx_group</class>
    <class kind="struct">rostlab::cxx_passwd</class>
    <class kind="class">rostlab::error_backtracer</class>
    <class kind="class">rostlab::euid_egid_resource</class>
    <class kind="class">rostlab::exception</class>
    <class kind="class">rostlab::file_lock_resource</class>
    <class kind="class">rostlab::gid_not_found_error</class>
    <class kind="class">rostlab::gname_not_found_error</class>
    <class kind="class">rostlab::runtime_error</class>
    <class kind="class">rostlab::uid_not_found_error</class>
    <class kind="class">rostlab::umask_resource</class>
    <class kind="class">rostlab::uname_not_found_error</class>
    <member kind="typedef">
      <type>std::vector&lt; std::string &gt;</type>
      <name>argvec_type</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a5d5704df6d732643202079117bd161aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>std::basic_string&lt; _Tp &gt;</type>
      <name>join</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a95afdca299c1adee1abc796e244d6710</anchor>
      <arglist>(const std::basic_string&lt; _Tp &gt; &amp;__sep, typename std::vector&lt; std::basic_string&lt; _Tp &gt; &gt;::const_iterator __begin, typename std::vector&lt; std::basic_string&lt; _Tp &gt; &gt;::const_iterator __end)</arglist>
    </member>
    <member kind="function">
      <type>std::basic_string&lt; _Tp &gt;</type>
      <name>join</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a02cea4f1b5d3063ac9f17fb65bf85fa4</anchor>
      <arglist>(const std::basic_string&lt; _Tp &gt; &amp;__sep, const std::vector&lt; std::basic_string&lt; _Tp &gt; &gt; &amp;__v)</arglist>
    </member>
    <member kind="function">
      <type>std::basic_string&lt; _Tp &gt;</type>
      <name>join</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a07b7a79a32a7abcfab63777526ad35f5</anchor>
      <arglist>(const _Tp *__sep, const std::vector&lt; std::basic_string&lt; _Tp &gt; &gt; &amp;__v)</arglist>
    </member>
    <member kind="function">
      <type>std::basic_string&lt; _Tp &gt;</type>
      <name>join</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>ab599623a17a198b5bad39f7662fc7550</anchor>
      <arglist>(const _Tp __sep, const std::vector&lt; std::basic_string&lt; _Tp &gt; &gt; &amp;__v)</arglist>
    </member>
    <member kind="function">
      <type>std::vector&lt; std::string &gt;</type>
      <name>split</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>aee7316bea9c779d3c07197cb2105a320</anchor>
      <arglist>(const std::string &amp;__str, char __c)</arglist>
    </member>
    <member kind="function">
      <type>std::vector&lt; _Tk &gt;</type>
      <name>map_keys</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a60a5204e6351df4913c6f5b58232a742</anchor>
      <arglist>(const std::map&lt; _Tk, _Tv &gt; &amp;__map)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>split_in_2</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>affc2fcc160ce31ad5082165e30386bf8</anchor>
      <arglist>(const std::string &amp;__str, char __c, std::string &amp;__left, std::string &amp;__right)</arglist>
    </member>
    <member kind="function">
      <type>std::map&lt; std::string, std::string &gt;</type>
      <name>map_split_in_2</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a177b61d1c55d12fad2a23cfca31a8b93</anchor>
      <arglist>(const std::vector&lt; std::string &gt; &amp;__svec, char __c)</arglist>
    </member>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>afcf69b32f92c358d2197e8991d050236</anchor>
      <arglist>(std::ostream &amp;os, const std::pair&lt; _T1, _T2 &gt; &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a90e79bd30a4bcb82a8493d592e8d1f03</anchor>
      <arglist>(std::ostream &amp;os, const std::map&lt; K, V, C, A &gt; &amp;m)</arglist>
    </member>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a5e4982ebab6f940f02ce674de6493706</anchor>
      <arglist>(std::ostream &amp;os, const std::vector&lt; _Tp, _Alloc &gt; &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>getgrgid_r</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a5d1ec47ffbbe61fb180727755b66e5fd</anchor>
      <arglist>(gid_t __gid)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>getgrgid_r</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a5f1c0e72549b6d443d8a3489d556e5a0</anchor>
      <arglist>(gid_t __gid, cxx_group &amp;__group)</arglist>
    </member>
    <member kind="function">
      <type>gid_t</type>
      <name>getgrnam_r</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>ab3f6bd9535c534b2520cc29cefe24f96</anchor>
      <arglist>(const std::string &amp;__gname)</arglist>
    </member>
    <member kind="function">
      <type>gid_t</type>
      <name>getgrnam_r</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a1c0e17f4c40c2a606ece0c738ed7db4a</anchor>
      <arglist>(const std::string &amp;__gname, struct cxx_group &amp;__group)</arglist>
    </member>
    <member kind="function">
      <type>uid_t</type>
      <name>getpwnam_r</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a62d3cb7cc23f549ac6be0553b5e8b6cc</anchor>
      <arglist>(const std::string &amp;__uname)</arglist>
    </member>
    <member kind="function">
      <type>uid_t</type>
      <name>getpwnam_r</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a7f8c05ae5022a5f40430f3292f6d9d5b</anchor>
      <arglist>(const std::string &amp;__uname, cxx_passwd &amp;__passwd)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>getpwuid_r</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a5bd7753ca4fefb153fb82735914ae9e2</anchor>
      <arglist>(uid_t __uid)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>getpwuid_r</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a59e1518719c4c52ad8b82465982cbfce</anchor>
      <arglist>(uid_t __uid, cxx_passwd &amp;__passwd)</arglist>
    </member>
    <member kind="function">
      <type>char</type>
      <name>int2AAchar</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>ad703b2f18ceae63b4750873ab17906c4</anchor>
      <arglist>(int __aanum)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>AAchar2int</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>abd71bb3c8e7041154b336e0121c1a5ac</anchor>
      <arglist>(char __aachar)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fwrite</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a4142aa716350618099dc43cbde7ff9c8</anchor>
      <arglist>(const _Tp &amp;__v, FILE *__out)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fwrite</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a7994889fa834b6fba6b04ae554a3cf86</anchor>
      <arglist>(const vector&lt; _Tp, _Alloc &gt; &amp;__v, FILE *__out)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fwrite&lt; string &gt;</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>ae087c0cc911d6c7c35f946cbbae5d544</anchor>
      <arglist>(const string &amp;__str, FILE *__out)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fwrite</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a6a84b717a5650baa50e834b04d693c81</anchor>
      <arglist>(const char *__c, FILE *__out)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fread</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a64156d88f0acfe509fc06160c58f0412</anchor>
      <arglist>(_Tp &amp;__v, FILE *__in)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fread</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a95af69989f9a12888e3078fcfb7c3f6c</anchor>
      <arglist>(vector&lt; _Tp, _Alloc &gt; &amp;__v, FILE *__in)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fread&lt; string &gt;</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a8d344e8879fe0541a39cc8718a84a24f</anchor>
      <arglist>(string &amp;__v, FILE *__in)</arglist>
    </member>
    <member kind="function">
      <type>_Tp</type>
      <name>fread</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>acbd2da49f65dd3f94bdfe497a33a4688</anchor>
      <arglist>(FILE *__in)</arglist>
    </member>
    <member kind="function">
      <type>argvec_type</type>
      <name>mkargvec</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a363b61f71bc972e21507fe58342f81c0</anchor>
      <arglist>(const char *__path,...)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>file_exists</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a37cdf454adbb6e299072099bfec119b4</anchor>
      <arglist>(const std::string &amp;__path)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>system</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a496af39360313209d5d1a472a34ce781</anchor>
      <arglist>(const char *__path,...)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>system</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a4d5a14d288cfd133049ec15a4363a543</anchor>
      <arglist>(const std::vector&lt; std::string &gt; &amp;__args)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>tolower</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>a0f03eed25884fd80b381c79daae5a9d1</anchor>
      <arglist>(std::string __str)</arglist>
    </member>
    <member kind="variable">
      <type>const signed char</type>
      <name>blosum62</name>
      <anchorfile>namespacerostlab.html</anchorfile>
      <anchor>afcb6728a937626e7b1678b9f18caab20</anchor>
      <arglist>[27][27]</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>rostlab::bio</name>
    <filename>namespacerostlab_1_1bio.html</filename>
    <namespace>rostlab::bio::fmt</namespace>
    <class kind="class">rostlab::bio::seq</class>
    <member kind="function">
      <type>std::istream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>namespacerostlab_1_1bio.html</anchorfile>
      <anchor>a8dd8eba31d0283710d5e29efe449a3da</anchor>
      <arglist>(std::istream &amp;__is, bio::seq&lt; bio::fmt::fasta &gt; &amp;__seq)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>rostlab::bio::fmt</name>
    <filename>namespacerostlab_1_1bio_1_1fmt.html</filename>
    <class kind="class">rostlab::bio::fmt::fasta</class>
  </compound>
</tagfile>
